---
stages:
  - helm

helm:
  image:
    name: alpine/helm:3.17.1@sha256:b9932c5d04f7bf3a62eb0b23d10ff226eb7e986ca8acc794c04d3f3161135b26
    entrypoint: [""]
  stage: helm
  before_script:
    - printf "${CI_REGISTRY_PASSWORD}" | helm registry login --username "${CI_REGISTRY_USER}" --password-stdin "${CI_REGISTRY}"
  script:
    - helm package .
    - helm push *.tgz "oci://${CI_REGISTRY}/${CI_PROJECT_NAMESPACE}"
  after_script:
    - helm registry logout "${CI_REGISTRY}"
  rules:
    - if: $CI_COMMIT_TAG != null
    - when: never
